#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include "svg_iternal.h"
#include <iostream>


TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}

TEST_CASE("one element") {
    double min = 0;
    double max = 0;
    find_minmax({ 1 }, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}

TEST_CASE("negative elements") {
    double min = 0;
    double max = 0;
    find_minmax({ -81, 2 }, min, max);
    CHECK(min == -81);
    CHECK(max == 2);
}

TEST_CASE("svg_check") {
std::stringstream stream;
svg_end(100, stream);
CHECK(stream.str() == "<line x1='10' y1='100' x2='400' y2='100' stroke-dasharray = '10 10' stroke='black'/>\n</svg>\n");
}
